%global commit e918ce4667e623c3d60735cb898223e730c6d7af
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20160823

Name:           webvfx
Version:        0.4.5
Release:        0.2.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Video effects engine based on web technologies
License:        BSD
URL:            https://github.com/mltframework/webvfx
Source0:        https://github.com/mltframework/webvfx/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch0:         %{name}-libdir.patch

BuildRequires:  mlt-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  doxygen
BuildRequires:  chrpath

%description
WebVfx is a video effects library that allows effects to be implemented using
WebKit HTML or Qt QML.

%package        devel
Summary:        Development library for %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}

%description    devel
Development library for %{name}

%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains html documentation
that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} PREFIX=%{_prefix} LIB_SUFFIX=%{_lib} \
..
%make_build
popd

# update Doxyfile
doxygen -u doc/Doxyfile
# build docs
doxygen doc/Doxyfile

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

# Remove rpath
chrpath --delete %{buildroot}%{_bindir}/%{name}_viewer
chrpath --delete %{buildroot}%{_bindir}/%{name}_render
chrpath --delete %{buildroot}%{_libdir}/mlt/libmltwebvfx.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.md
%license LICENSE
%{_bindir}/webvfx_*
%{_libdir}/mlt/libmltwebvfx.so
%{_libdir}/libwebvfx.so.*

%files devel
%{_libdir}/libwebvfx.so

%files doc
%license LICENSE
%doc doxydoc

%changelog
* Wed Sep 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.4.5-0.2.20160823gite918ce4
- Use development snapshot
- Remove Group tag
- Add doc subpkg
- Add BR doxygen

* Sat Sep 09 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.4.5-0.1.20160823gite918ce4
- Initial build.
